U1TRIAL(1)

NAME
u1trial - Python unit test runner for using DBus and Twisted together

SYNOPSIS
u1trial [options] path

DESCRIPTION
u1trial is a Python unit test runner. It provides a main loop using the Twisted reactor and glib, for running tests based on these libraries. It also provides a private DBus session daemon for running the tests under, to avoid interaction with the DBus daemon in a live session.

OPTIONS

-h, --help
    show this help message and exit

-t TEST, --test=TEST
    run specific tests, e.g: className.methodName

-l LOOPS, --loop=LOOPS
    loop selected tests LOOPS number of times

-c, --coverage
    print a coverage report when finished

-i MODULES, --ignored-modules=MODULES
    comma-separated test modules to ignore, e.g: "test_gtk.py, test_account.py"

-p PATHS, --ignored-paths=PATHS
    comma-separated relative paths to ignore, e.g: "tests/platform/windows, tests/platform/macosx"

--reactor=REACTOR
    Run the tests using the REACTOR for twisted main loop integration.

--gui
    Use the GUI mode of the specified reactor.

AUTHOR
This manual page was written by Rodney Dawes <rodney.dawes@canonical.com>.